MailcrateDocs
Email templates

Update an email template

PUT
/public/email-template/{identifier}

Requires the email-template:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

identifier*string

Request Body

application/json
  1. body
name?string
type?string
Value in"html""mat-builder""react-email""templatical""visual"
visualConfig?
slug?string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
variables?array<>
senderIdentityId*string
subject*string
preHeaderText*string
bcc*string
html*string
replyTo*string

Response Body

Example Request
curl -X PUT 'https://api.mailcrate.io/public/email-template/string' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "senderIdentityId": "string",  "subject": "string",  "preHeaderText": "string",  "bcc": "string",  "html": "string",  "replyTo": "string"}'
Example Response
Empty